Subject: Re: Some NIPQUAD_FMT -> %pI4 conversions are broken

From: Harvey Harrison <[email-masked]>
Date: Fri, 09 Jan 2009 22:24:20 -0800

On Fri, 2009-01-09 at 22:15 -0800, David Miller wrote:
> From: Harvey Harrison <[email-masked]>
> Date: Fri, 09 Jan 2009 22:07:25 -0800
> 
> > My apologies indeed, the best choice I think is to add a temp var
> > for now and I'll work with you to eliminate the byteswapping further
> > up the callchain so a be32 gets passed down, but that might be too
> > involved for 2.6.29.
> 
> Alternatively we could provide a %p* variant that took
> cpu endian addresses.
> 
> I don't know how useful that would be, generally.

I don't think we want that, it would be better to just start work on the
nes drivers to work directly on be32s throughout, and eject all of the
byteswapping throughout the driver.

Having such a %p helper for host-endian just encourages more drivers to
be written the same way.

Harvey